﻿//Author:      night-king
// Email:       deepleo@163.com
//Home:       http://deepleo.com
//Github:     https://github.com/night-king/
//Date:         2013-11-1 
//Place:        Wuhan@China

using System;
using System.Collections.Generic;
using System.Text;

namespace Deepleo.LazyScheduler.Task
{
    public interface ITaskManager
    {
        /// <summary>
        /// init this task
        /// </summary>
        void Init();

        /// <summary>
        /// run next task
        /// </summary>
        /// <returns>return true if there has next task or else return false</returns>
        ITask Next();

        /// <summary>
        /// append some new task to the end of queue.
        /// </summary>
        /// <param name="tasks">some new task</param>
        void Append(List<ITask> tasks);
    }
}
